Solid Edge Framework Type Library
Quit Method
Description
Exits the referenced application.
Syntax
Visual Basic
Public Sub Quit() 
Remarks
This method exits the Solid Edge application, closing all documents and windows. By default, the application prompts the user to save any changed documents. By default, the application prompts the user to save any documents that may have changed. You can prevent this by saving all documents before using the Quit method or by setting the DisplayAlerts property to False.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Quit the SolidEdge Application
    Call objApp.Quit
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
End Sub
See Also

Application Object  | Application Members